<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2018 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License.
  -->

<!-- Definitions of dimensions to be exposed as public. -->
<resources>
    <!-- Adaptive responsive dimens -->
    <public type="dimen" name="car_margin" />

    <!-- Gutters -->
    <public type="dimen" name="car_gutter_width" />

    <!-- Keylines -->
    <public type="dimen" name="car_keyline_1" />
    <public type="dimen" name="car_keyline_2" />
    <public type="dimen" name="car_keyline_3" />
    <public type="dimen" name="car_keyline_4" />
    <public type="dimen" name="car_keyline_1_neg" />
    <public type="dimen" name="car_keyline_2_neg" />
    <public type="dimen" name="car_keyline_3_neg" />
    <public type="dimen" name="car_keyline_4_neg" />

    <!-- Paddings -->
    <public type="dimen" name="car_padding_0"/>
    <public type="dimen" name="car_padding_1" />
    <public type="dimen" name="car_padding_2" />
    <public type="dimen" name="car_padding_3" />
    <public type="dimen" name="car_padding_4" />
    <public type="dimen" name="car_padding_5" />
    <public type="dimen" name="car_padding_6" />

    <!-- Radii -->
    <public type="dimen" name="car_radius_1"/>
    <public type="dimen" name="car_radius_2"/>
    <public type="dimen" name="car_radius_3" />
    <public type="dimen" name="car_radius_4" />

    <!-- Car Component Dimensions -->
    <!-- Type Sizings -->
    <public type="dimen" name="car_display1_size" />
    <public type="dimen" name="car_display2_size" />
    <public type="dimen" name="car_display3_size" />
    <public type="dimen" name="car_display4_size" />
    <public type="dimen" name="car_body1_size" />
    <public type="dimen" name="car_body2_size" />
    <public type="dimen" name="car_body3_size" />
    <public type="dimen" name="car_body4_size" />
    <public type="dimen" name="car_subtext1_size" />
    <public type="dimen" name="car_subtext2_size" />
    <public type="dimen" name="car_subtext3_size" />
    <public type="dimen" name="car_subtext4_size" />
    <public type="dimen" name="car_subtext5_size" />

    <!-- Icons and Buttons -->
    <!-- Icons -->
    <public type="dimen" name="car_primary_icon_size" />
    <public type="dimen" name="car_avatar_icon_size" />
    <public type="dimen" name="car_secondary_icon_size" />
    <public type="dimen" name="car_fab_icon_size" />
    <public type="dimen" name="car_app_icon_size" />

    <!-- Avatars -->
    <public type="dimen" name="car_large_avatar_size" />

    <!-- Minimum touch target size. -->
    <public type="dimen" name="car_touch_target_size" />

    <!-- Buttons -->
    <public type="dimen" name="car_button_height" />
    <public type="dimen" name="car_button_min_width" />
    <public type="dimen" name="car_button_radius" />
    <public type="dimen" name="car_pill_button_size" />

    <!-- Status Bar -->
    <public type="dimen" name="car_status_bar_height" />
    <public type="dimen" name="car_status_bar_icon_size" />

    <!-- Navigation Bar -->
    <public type="dimen" name="car_navigation_bar_height" />

    <!-- Application Bar -->
    <public type="dimen" name="car_app_bar_height" />
    <public type="dimen" name="car_app_bar_default_elevation"/>
    <public type="dimen" name="car_application_icon_size" />

    <!-- Lists -->
    <public type="dimen" name="car_single_line_list_item_height" />
    <public type="dimen" name="car_double_line_list_item_height"/>
    <public type="dimen" name="car_list_divider_height"/>

    <!-- The height of a vertical line divider. -->
    <public type="dimen" name="car_vertical_line_divider_height" />
    <public type="dimen" name="car_vertical_line_divider_width"/>

    <!-- Cards -->
    <public type="dimen" name="car_card_header_height" />
    <public type="dimen" name="car_card_action_bar_height" />

    <!-- Dialogs -->
    <public type="dimen" name="car_dialog_header_height" />
    <public type="dimen" name="car_dialog_action_bar_height" />
    <public type="dimen" name="car_dialog_elevation" />
    <public type="dimen" name="car_list_dialog_title_elevation" />

    <!-- Subheader -->
    <public type="dimen" name="car_sub_header_height" />q

    <!-- Drawer max width -->
    <public type="dimen" name="car_drawer_max_width" />
</resources>
